Skip to main content
PUT
/
v2
/
client-ids
/
{id}
curl --request PUT \ --url https://api.request.network/v2/client-ids/{id} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data ' { "label": "Updated Client ID Label", "allowedDomains": [ "https://newdomain.com" ] } '
{
  "id": "<string>",
  "clientId": "<string>",
  "label": "<string>",
  "allowedDomains": [
    "<string>"
  ],
  "feePercentage": "<string>",
  "feeAddress": "<string>",
  "operatorWalletAddress": "<string>",
  "defaultPreApprovalExpiry": 123,
  "defaultAuthorizationExpiry": 123,
  "status": "<string>",
  "updatedAt": "<string>"
}

Headers

x-api-key
string
required

API key for authentication

Path Parameters

id
string
required

Client ID internal identifier

Example:

"123"

Body

application/json
label
string
Required string length: 1 - 100
allowedDomains
string<uri>[]

List of allowed domain origins (normalized)

Required array length: 1 - 10 elements
feePercentage
string | null

Fee percentage (e.g., '1' = 1%, '2.5' = 2.5%, '2.55' = 2.55%). Maximum 2 decimal places. If set to '0', allows API request fees to take precedence. If set to any other value, overrides any fee passed via API. Set to null to unset.

Minimum string length: 1
feeAddress
string | null

Wallet address to receive fees. Required if feePercentage is set. Set to null to unset.

operatorWalletAddress
string | null

Wallet address that will act as operator for commerce payments. The API operator wallet will execute transactions on behalf of this address. Can be a smart wallet that has granted permissions to the API operator. Set to null to unset. Note: Changing this will only affect new payments; existing payments will continue using their original operator address.

defaultPreApprovalExpiry
integer | null

Default pre-approval expiry duration in seconds for commerce transactions. If set, overrides the value passed in /v2/commerce-payments/authorize/calldata endpoint. Set to null to unset.

Required range: x > 0
defaultAuthorizationExpiry
integer | null

Default authorization expiry duration in seconds for commerce transactions. If set, overrides the value passed in /v2/commerce-payments/authorize/calldata endpoint. Set to null to unset.

Required range: x > 0
status
enum<string>
Available options:
active,
inactive,
revoked

Response

Client ID updated successfully

id
string
clientId
string
label
string
allowedDomains
string[]
feePercentage
string | null
feeAddress
string | null
operatorWalletAddress
string | null
defaultPreApprovalExpiry
number | null
defaultAuthorizationExpiry
number | null
status
string
updatedAt
string